OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_SelectCombine Class Reference

A SelectCombine type Selection defines algebraic operations
between results of several Selections
It is a deferred class : sub-classes will have to define
precise what operator is to be applied
.

`#include <IFSelect_SelectCombine.hxx>`

Inheritance diagram for IFSelect_SelectCombine:

[legend]

## Public Member Functions
Standard_EXPORT Standard_Integer | NbInputs () const
| Returns the count of Input Selections .
Standard_EXPORT Handle_IFSelect_Selection | Input (const Standard_Integer num) const
| Returns an Input Selection, given its rank in the list .
Standard_EXPORT Standard_Integer | InputRank (const Handle(IFSelect_Selection)&sel) const
| Returns the rank of an input Selection, 0 if not in the list. Most generally, its value is meaningless, except for testing the presence of an input Selection : - == 0 if <sel> is not an input for <me> - > 0 if <sel> is an input for <me> .
Standard_EXPORT void | Add (const Handle(IFSelect_Selection)&sel, const Standard_Integer atnum=0)
| Adds a Selection to the filling list By default, adds it to the end of the list A Positive rank less then NbInputs gives an insertion rank (InsertBefore : the new <atnum>th item of the list is <sel>) .
Standard_EXPORT Standard_Boolean | Remove (const Handle(IFSelect_Selection)&sel)
| Removes an input Selection. Returns True if Done, False, if <sel> is not an input for <me> .
Standard_EXPORT Standard_Boolean | Remove (const Standard_Integer num)
| Removes an input Selection, given its rank in the list Returns True if Done, False if <num> is out of range .
Standard_EXPORT void | FillIterator (IFSelect_SelectionIterator &iter) const
| Puts in an Iterator the Selections from which "me" depends That is to say, the list of Input Selections .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT | IFSelect_SelectCombine ()
| Defines an empty SelectCombine .
virtual Standard_EXPORT Standard_Boolean | HasUniqueResult () const
| Returns always True, because RootResult gives a Unique list .
## Private Attributes
IFSelect_TSeqOfSelection | thelist

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_SelectCombine::IFSelect_SelectCombine | ( |  | ) | `[protected]`

## Member Function Documentation

Standard_EXPORT void IFSelect_SelectCombine::Add | ( | const Handle(IFSelect_Selection)& | sel,
|  | const Standard_Integer | atnum = `0`
| ) |

Standard_EXPORT void IFSelect_SelectCombine::FillIterator | ( | IFSelect_SelectionIterator & | iter | ) | const`[virtual]`

| Implements IFSelect_Selection.

Standard_EXPORT const IFSelect_SelectCombine::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Selection. Reimplemented in IFSelect_SelectIntersection, and IFSelect_SelectUnion.

virtual Standard_EXPORT Standard_Boolean IFSelect_SelectCombine::HasUniqueResult | ( |  | ) | const`[protected, virtual]`

| Reimplemented from IFSelect_Selection.

Standard_EXPORT Handle_IFSelect_Selection IFSelect_SelectCombine::Input | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer IFSelect_SelectCombine::InputRank | ( | const Handle(IFSelect_Selection)& | sel | ) | const

Standard_EXPORT Standard_Integer IFSelect_SelectCombine::NbInputs | ( |  | ) | const

Standard_EXPORT Standard_Boolean IFSelect_SelectCombine::Remove | ( | const Standard_Integer | num | ) |

Standard_EXPORT Standard_Boolean IFSelect_SelectCombine::Remove | ( | const Handle(IFSelect_Selection)& | sel | ) |

## Field Documentation

IFSelect_TSeqOfSelection IFSelect_SelectCombine::thelist`[private]`

The documentation for this class was generated from the following file:

- IFSelect_SelectCombine.hxx